Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "70eb9b04-60f7-40de-b711-b0b11396985f",
  "user_id": "a6ce63e0-8082-4000-a555-a9aed5f38585",
  "approved_date_start": "2026-11-09T11:05:43.6749286+00:00",
  "approved_date_end": "2026-11-09T11:05:43.6749286+00:00",
  "date_approval": "2026-11-09T11:05:43.6749286+00:00",
  "is_approved": true,
  "approved_by_user_id": "369cee53-6cc6-4455-a4e2-afa471590cef",
  "modified_dateutc": "2026-11-09T11:05:43.6749286+00:00"
}